AnsweredAssumed Answered

yum update failure on our Hitachi Command Suite Server

Question asked by Larry Warf on Sep 1, 2016

Has anyone ever see the following error after running yum update on the HCS.  I am running Redhat Linux 6.7. Any ideas on how to fix this without uninstalling HTSM and kmod? 

 

......... END of yum update .........

Transaction Summary

===========================================================================================================================================================================================

Install      15 Package(s)

Upgrade     384 Package(s)

Remove        1 Package(s)

 

Total size: 420 M

Downloading Packages:

Running rpm_check_debug

ERROR with rpm_check_debug vs depsolve:

kernel(sg_miter_next) = 0x50662b8c is needed by (installed) kmod-elx-lpfc-10.2.291.0-1.rhel6u5.x86_64

kernel(sg_miter_start) = 0xc6cda5b0 is needed by (installed) kmod-elx-lpfc-10.2.291.0-1.rhel6u5.x86_64

kernel(sg_miter_stop) = 0x99c047ca is needed by (installed) kmod-elx-lpfc-10.2.291.0-1.rhel6u5.x86_64

** Found 5 pre-existing rpmdb problem(s), 'yum check' output follows:

HTSM-08.4.1.0000-01.x86_64 has missing requires of libhcmdsUserMng.so()(64bit)

HTSM-08.4.1.0000-01.x86_64 has missing requires of libzclt64.so()(64bit)

kmod-elx-lpfc-10.2.291.0-1.rhel6u5.x86_64 has missing requires of kernel(sg_miter_next) = ('0', '0x50662b8c', None)

kmod-elx-lpfc-10.2.291.0-1.rhel6u5.x86_64 has missing requires of kernel(sg_miter_start) = ('0', '0xc6cda5b0', None)

kmod-elx-lpfc-10.2.291.0-1.rhel6u5.x86_64 has missing requires of kernel(sg_miter_stop) = ('0', '0x99c047ca', None)

Your transaction was saved, rerun it with:

yum load-transaction /tmp/yum_save_tx-2016-09-01-14-309MfliK.yumtx

Outcomes